package fiuba.algo3.ayudante.virtual;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class AyudanteVirtualTest {

    @Test
    public void cuandoElMensajeEmpiezaConHolaRespondeUnSaludo() {
        Slack slack = new Slack();

        AyudanteVirtual ayudante = new AyudanteVirtual(slack);
        Usuario martin = new Usuario("martin");
        Mensaje mensaje = new Mensaje("hola que tal?", martin);
        ayudante.recibirMensaje(mensaje);

        assertEquals(Texto.saludo(), slack.getContenidoDelUltimoMensaje());
    }

    @Test
    public void cuandoElMensajeEmpiezaConTengoUnaConsultaRespondeUnaConfirmacion() {
        Slack slack = new Slack();

        AyudanteVirtual ayudante = new AyudanteVirtual(slack);
        Usuario martin = new Usuario("martin");
        Mensaje mensaje = new Mensaje("Tengo una consulta: qué gusto tiene la sal?", martin);
        ayudante.recibirMensaje(mensaje);

        assertEquals(Texto.confirmacionDeConsulta(), slack.getContenidoDelUltimoMensaje());
    }

    @Test
    public void cuandoElMensajeNoSeEntiendeRespondeUnMensajeAcorde() {
        Slack slack = new Slack();

        AyudanteVirtual ayudante = new AyudanteVirtual(slack);
        Usuario martin = new Usuario("martin");
        Mensaje mensaje = new Mensaje("Estoy muy perdido.", martin);
        ayudante.recibirMensaje(mensaje);

        assertEquals(Texto.noEntendido(), slack.getContenidoDelUltimoMensaje());
    }
}